// -*-c++-*-

/*
 *Copyright:

 Copyright (C) ESKILAS TEAM

 This code is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *EndCopyright:
 */

/////////////////////////////////////////////////////////////////////

#ifndef __SIDE_DASH_GO_TO_POINT_H_
#define __SIDE_DASH_GO_TO_POINT_H_

#include <rcsc/geom/vector_2d.h>
#include <rcsc/player/player_agent.h>


class SideDashGoToPoint
{
	public:
		SideDashGoToPoint(	const rcsc::Vector2D& target,
					double error = 1.0,
					double power = 100.0);

		bool execute(rcsc::PlayerAgent* agent);

	private:
		rcsc::Vector2D mTarget;
		double mError;
		double mPower;
};

#endif // __SIDE_DASH_GO_TO_POINT_H_
