// -*-c++-*-

/*
 *Copyright:

 Copyright (C) ESKILAS TEAM

 This code is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *EndCopyright:
 */

/////////////////////////////////////////////////////////////////////

#ifndef __DEFENSE_KICK_ACTION_H_
#define __DEFENSE_KICK_ACTION_H_

#include <rcsc/player/player_agent.h>

using namespace rcsc;

class DefenseKickAction
{
	public:
		void CenterBack(rcsc::PlayerAgent* agent);
		void SideBack(rcsc::PlayerAgent * agent);
		void OffensiveHalf(PlayerAgent * agent);

	private:
		void doDribbleAttackKick(PlayerAgent * agent);
		void doShootChanceKick( PlayerAgent * agent );
};

#endif // __DEFENSE_KICK_ACTION_H_
