// -*-c++-*-

/*
 *Copyright:

 Copyright (C) ESKILAS TEAM

 This code is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *EndCopyright:
 */

/////////////////////////////////////////////////////////////////////

#ifndef __QB_PASS_RECEIVE_H_
#define __QB_PASS_RECEIVE_H_

#include <rcsc/player/player_agent.h>

class QBPassReceive
{
private:
	float startRate;
	float endRate;
	float rateStep;
public:
	QBPassReceive()
	{
		startRate = 0.5f;
		endRate = 2.f;
		rateStep = 0.5f;
	}
	int getBestVelocity( const rcsc::PlayerAgent * agent );
	bool executeKick( rcsc::PlayerAgent * agent );
};
#endif // __QB_PASS_RECEIVE_H_
