// -*-c++-*-

/*
 *Copyright:

 Copyright (C) ESKILAS TEAM

 This code is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *EndCopyright:
 */

/////////////////////////////////////////////////////////////////////

#include <Share.h>

int Share::currentPositionStyle = -1;
int Share::positionStyleToBeUsed = 1;
	
int Share::currentPassDecisionStyle = -1;
int Share::passDecisionStyleToBeUsed = 1;

std::string Share::nonPlayOnMarkMsg = "000000000";

// SideDashGoToPoint vars
double Share::lastSideDashAngle = 0.0;
long Share::lastSideDashCycle = -1;

bool Share::defensePassed = false;
double Share::returnY = 0.0;

// Mark say msg
std::string Share::markSayMsg = "M000000000";
int Share::markSayCycle = -1;
int Share::lastKickOffCycle = -1;

std::string Share::generatedMarkSayMsg = "M000000000";
int Share::generatedMarkSayCycle = -2;

bool Share::isInterceptSituation = false;
bool Share::checkInterceptSituation = false;

bool Share::markLookMode = false;

bool Share::isInterceptExecuted = false;
bool Share::isMarkExecuted = false;

bool Share::isLastMarkActionChasboondan = false;

// Block vars
rcsc::Vector2D Share::lastOppRoute;
long Share::lastOppRouteCycle;
double Share::lastOppVel;
long Share::lastInterceptBlockingCycle;

bool Share::isScanning = false;

bool Share::isLastActionIntercept = false;
bool Share::isOurOwnIntercept = false;

ConfigList* Share::configList;

bool Share::isOppAlive[11];

double Share::defenseLine = 0.0;

void Share::construct()
{
	configList = new ConfigList("./Configs/ConfigList.conf");

	for (uint i = 0 ; i < 11 ; i++)
		isOppAlive[i] = true;
}

void Share::destruct()
{
	delete configList;
}
