// -*-c++-*-

/*
 *Copyright:

 Copyright (C) ESKILAS TEAM

 This code is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *EndCopyright:
 */

/////////////////////////////////////////////////////////////////////

#include <Atomic.h>
#include <string>
#include <stdlib.h>

using namespace std;

// Atomic CONSTRUCTOR =======
Atomic::Atomic(string data):
	mData(data)
{
}

// Atomic::AsString =======
string Atomic::AsString() const
{
	return mData;
}

// Atomic::AsInt =======
int Atomic::AsInt() const
{
	return atoi(mData.c_str());
}

// Atomic::AsFloat ========
float Atomic::AsFloat() const
{
	return (float)atof(mData.c_str());
}

// Atomic::AsDouble =======
double Atomic::AsDouble() const
{
	return atof(mData.c_str());
}

// OPERATOR << (Atomic)=====
ostream& operator << (ostream& str,const Atomic& atomStr)
{
	str << atomStr.AsString() ;
	return str;
}
